var client;

async function init() {
  client = await app.initialized();
  client.events.on('app.activated', renderText);
}

async function renderText() {
  document
      .getElementById("sendrequest")
      .addEventListener("fwClick", async function () {
        console.log("clicked", client);
        try {
          const res = await client.request.invokeTemplate(
            "listPagerDutyIncidents"
          );
          console.log("success", res);
        } catch (err) {
          console.log("error", err);
        }
      });
}

init();